Subject: osmo-trx.git branch staging updated. 15d72ad64133686499bf8634e7cc867cbcee9995
From: [email-masked]
To: [email-masked]
Date: Thu, 14 Nov 2013 17:17:01 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "OpenBTS' transceiver retro-fit".

The branch, staging has been updated
  discards  eb49690a31394681840f61e1df49089d005e5852 (commit)
       via  15d72ad64133686499bf8634e7cc867cbcee9995 (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (eb49690a31394681840f61e1df49089d005e5852)
            \
             N -- N -- N (15d72ad64133686499bf8634e7cc867cbcee9995)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/osmo-trx/commit/?id=15d72ad64133686499bf8634e7cc867cbcee9995

commit 15d72ad64133686499bf8634e7cc867cbcee9995
Author: Thomas Tsou <[email-masked]>
Date:   Wed Nov 13 23:38:09 2013 -0500

    Transceiver52M: Add dual channel diversity receiver option
    
    This patch add support for dual channel diversity on the receive
    path. This allows two antennas two shared antennas to be used for
    each ARFCN handling channel in the receiver. This configuration
    may improvde performance in multi-path fading environments,
    however, noise andpotential interference levels are increased due
    to the higher bandwidth used.
    
    The receive path is oversampled by a factor of four for a rate
    of 1.083333 Msps. If the receive paths are tuned within a
    maximum channel spacing (currently set at 600 kHz), then both
    ARFCN frequencies are processed by each channel of the receiver.
    Otherwise, the frequency shifted diversity path is disabled and
    standard non-diversity operation takes place.
    
    Diversity processing is handled by selecting the path with the
    higheset energy level and discarding the burst on the second
    path. Selection occurs on a burst-by-burst basis.
    
    Signed-off-by: Thomas Tsou <[email-masked]>

-----------------------------------------------------------------------

Summary of changes:
 Transceiver52M/radioInterfaceDiversity.cpp | 250 +++++++++++++++++++++++++++++
 1 file changed, 250 insertions(+)
 create mode 100644 Transceiver52M/radioInterfaceDiversity.cpp

hooks/post-receive
-- 
OpenBTS' transceiver retro-fit